JOIN(1)

NOMBRE
join - une líneas de dos archivos en base a un campo común

SINOPSIS
join [OPCIÓN]... ARCHIVO1 ARCHIVO2

DESCRIPCIÓN

Para cada pareja de líneas con un mismo campo común se escribirá una línea en la salida estándar. Por defecto, se considera como campo común el fragmento inicial hasta el primer espacio en blanco.

Cuando ARCHIVO1 o ARCHIVO2 (pero no ambos) es '-', lee por la entrada estandar.

-a NUMARCHIVO
    también muestra las líneas que no se pueden emparejar de NUMARCHIVO, siendo éste 1 o 2 correspondientes a ARCHIVO1 o ARCHIVO2.

-e CADENA
    sustituye los campos de entrada que faltan (vacíos) con CADENA, p.ej: los campos que faltan definidos con la opción '-12jo'

-i, --ignore-case
    no distingue entre mayúsculas y minúsculas cuando compara los campos

-j CAMPO
    equivale a '-1 CAMPO -2 CAMPO'

-o FORMATO
    sigue dicho FORMATO cuando forma las líneas de salida

-t CARACTER
    emplea CARÁCTER como separación entre los campos de entrada y salida

-v NUMARCHIVO
    idéntico a -a NUMARCHIVO pero no muestra las líneas unidas

-1 CAMPO
    une en dicho CAMPO del archivo 1

-2 CAMPO
    une en dicho CAMPO del archivo 2

--check-order
    comprueba que los datos de entrada estén correctamente ordenados, aún cuando todas las líneas se puedan emparejar.

--no-check-order
    no comprueba que los datos de entrada estén correctamente ordenados

--header
    considera la primera línea de cada archivo como los encabezados del campo, las mostrará sin intentar emparejarlas.

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Salvo que se indique la opción -t CARÁCTER, los espacios en blanco al inicio se consideran delimitadores y son ignorados; sino se considera CARÁCTER como delimitador. Los CAMPOS se numeran a partir del 1. FORMATO consta de una o más comas o definiciónes separadas entre si por espacios en blanco, cada una de ellas será 'NUMARCHIVO.CAMPO' o '0'. Por defecto, el FORMATO mostrará el campo de unión, el resto de campos de ARCHIVO1, el resto de campos de ARCHIVO2 todos ellos separados entre si por CARÁCTER. Si el valor de FORMATO es la palabra clave 'auto', la primera línea de cada archivo determinará la cantidad de campos para cada línea

Importante: ARCHIVO1 y ARCHIVO2 deben ordenarse en base a los campos de unión. Por ejemplo con la ejecución de "sort -k 1b,1" si 'join' no tiene opciones o "join -t ”" si 'sort' no tiene opciones. Observe que las comparaciones sigue la norma de 'LC_COLLATE'. Si no se ordena la entrada y no es posible emparejar algunas líneas, se emite un mensaje de advertencia.

AUTOR
Escrito por Mike Haertel.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
comm(1), uniq(1)

Documentación completa en <https://www.gnu.org/software/coreutils/join>
también disponble localmente ejecutando info '(coreutils) join invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.